#
# spec file for package python-yajl
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-yajl
Version:        0.3.5
Release:        2.1
Url:            http://rtyler.github.com/py-yajl
Summary:        A CPython module for Yet-Another-Json-Library
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/y/yajl/yajl-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  git
Provides:       python2-yajl = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The yajl module provides a Python binding to the Yajl library originally
written by Lloyd Hilaiel.

%prep
%setup -q -n yajl-%{version}

%build
CFLAGS="%{optflags} -w" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc yajl/TODO yajl/COPYING yajl/README
%{python_sitearch}/*

%changelog
* Wed Apr 26 2017 toddrme2178@gmail.com
- Fix source URL
- Add python2- provides for compatibility with single-spec macros.
* Fri Sep 23 2011 saschpe@suse.de
- Initial version
